#include "fhiclcpp/ParameterSet.h"
#include "art/Framework/Services/Registry/ActivityRegistry.h"
#include "art/Framework/Services/Registry/ServiceMacros.h"

#include "SuperNovaDDT/SNMessageInterface.h"

#include <fstream>
// A service to send data 
namespace  novaddt{

    class SNMerssageDump: public SNMessageInterface{
        public:
            SNMerssageDump(fhicl::ParameterSet const& p, art::ActivityRegistry& reg);
            void PushPoint(uint64_t time, uint64_t hits) override;
        private:
            std::ofstream fLogFile;
    };

}
DECLARE_ART_SERVICE_INTERFACE_IMPL(novaddt::SNMerssageDump,novaddt::SNMessageInterface,LEGACY);
